Bric::SOAP::Handler(3p)

NAME
Bric::SOAP::Handler - Apache/mod_perl handler for SOAP interfaces

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2006-03-15 12:37:12 +0100 (Wed, 15 Mar 2006) $

SYNOPSIS
  <Location /soap>
    SetHandler perl-script
    PerlHandler Bric::SOAP::Handler
    PerlCleanupHandler Bric::App::CleanupHandler
    PerlAccessHandler Apache::OK
  </Location>

DESCRIPTION
This module provides an Apache/mod_perl PerlHandler for the Bricolage SOAP interface. This handler dispatches calls to the various Bric::SOAP modules.

CONSTANTS

SOAP_CLASSES
    Array of SOAP interface module names. The handler will only dispatch calls to these classes.

INTERFACE

  Public Class Methods

Bric::SOAP::Handler->handler()
    Handles a request for a SOAP interface. Calls SOAP::Transport::HTTP::Apache->handler() to dispatch the request.

    Throws: NONE

    Side Effects: NONE

    Notes: NONE

AUTHOR
Sam Tregar <stregar@about-inc.com>

SEE ALSO
Bric::SOAP